Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
com.foxit.sdk.addon.FormCombination Class Reference
Inheritance diagram for com.foxit.sdk.addon.FormCombination:

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Member Functions
static void | combineFormsToCSV (FormFileInfoArray form_file_array, String dest_csv_file, boolean append) throws com.foxit.sdk.PDFException
| Combine form data and export these data to a CSV file. More...
static void | combineFormsToCSV (FormFileInfoArray form_file_array, StreamCallback dest_csv_file, boolean append) throws com.foxit.sdk.PDFException
| Combine form data and export these data to a CSV file. More...

## Detailed Description

This class is used to combine form data from several files and export combined form data to spreadsheet.

## Member Function Documentation

## ◆ combineFormsToCSV() [1/2]

static void com.foxit.sdk.addon.FormCombination.combineFormsToCSV | ( | FormFileInfoArray | form_file_array,
|  | String | dest_csv_file,
|  | boolean | append
| ) |  | throws com.foxit.sdk.PDFException
| static

Combine form data and export these data to a CSV file.

Parameters

  [in] | form_file_array | A form file information array. This array contains information of source form files whose form data are to be combined.
  [in] | dest_csv_file | A full path of a CSV file, to which combined result will be saved to. This should not be an empty string.
  [in] | append | A boolean value used to decide whether combined form data is appended to the CSV file if the CSV file exists: true means to append combined form data to an existed CSV file, while false means not.

Returns
  None.

## ◆ combineFormsToCSV() [2/2]

static void com.foxit.sdk.addon.FormCombination.combineFormsToCSV | ( | FormFileInfoArray | form_file_array,
|  | StreamCallback | dest_csv_file,
|  | boolean | append
| ) |  | throws com.foxit.sdk.PDFException
| static

Combine form data and export these data to a CSV file.

Parameters

  [in] | form_file_array | A form file information array. This array contains information of source form files whose form data are to be combined.
  [in] | dest_csv_file | A com.foxit.sdk.common.fxcrt.StreamCallback object which is implemented by user to save combined form data to a CSV file. This should not be null. Please do not use append mode in writing callback functions.
  [in] | append | A boolean value used to decide whether combined form data is appended to the CSV file if the CSV file exists: true means to append combined form data to an existed CSV file, while false means not.

Returns
  None.

## ◆ delete()

synchronized void com.foxit.sdk.addon.FormCombination.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.